Subject: Package example from cookbook has bugs

From: Maxime Devos <[email-masked]>
Date: Sun, 05 Dec 2021 19:18:17 +0000

Hi guix,

The example at
https://guix.gnu.org/cookbook/en/html_node/Extended-example.html has
two bugs:

#:tests? is unconditionally set to #true. This is bad for cross-
compilation and --without-tests=PACKAGE reasons, and would be flagged
by the linter.

In the new 'check' phase, libgit2_clar is invoked unconditionally. This
would be flagged by the linter.

Also, not exactly a bug, but still bad practice: the web page suggests:

#:make-flags (list (string-append "prefix=" (assoc-ref %outputs "out"))
                   "CC=gcc")

however, hardcoding gcc is bad for cross-compilation reasons. It should
use (cc-for-target) instead.

Greetings,
Maxime